package com.ruoyi.project.patrol.fire.mapper;

import java.util.List;
import com.ruoyi.project.patrol.fire.domain.TFirePostFire;

/**
 * 消防水炮检查记录Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-30
 */
public interface TFirePostFireMapper 
{
    /**
     * 查询消防水炮检查记录
     * 
     * @param id 消防水炮检查记录主键
     * @return 消防水炮检查记录
     */
    public TFirePostFire selectTFirePostFireById(Long id);

    /**
     * 查询消防水炮检查记录列表
     * 
     * @param tFirePostFire 消防水炮检查记录
     * @return 消防水炮检查记录集合
     */
    public List<TFirePostFire> selectTFirePostFireList(TFirePostFire tFirePostFire);

    /**
     * 新增消防水炮检查记录
     * 
     * @param tFirePostFire 消防水炮检查记录
     * @return 结果
     */
    public int insertTFirePostFire(TFirePostFire tFirePostFire);

    /**
     * 修改消防水炮检查记录
     * 
     * @param tFirePostFire 消防水炮检查记录
     * @return 结果
     */
    public int updateTFirePostFire(TFirePostFire tFirePostFire);

    /**
     * 删除消防水炮检查记录
     * 
     * @param id 消防水炮检查记录主键
     * @return 结果
     */
    public int deleteTFirePostFireById(Long id);

    /**
     * 批量删除消防水炮检查记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTFirePostFireByIds(Long[] ids);
}
